# Class TldCache

java.lang.Object
org.apache.jasper.compiler.TldCache

public class TldCache extends Object
This class caches parsed instances of TLD files to remove the need for the same TLD to be parsed for each JSP that references it. It does not protect against multiple threads processing the same, new TLD but it does ensure that each all threads will use the same TLD object after parsing.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SERVLET_CONTEXT_ATTRIBUTE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TldCache(ServletContext servletContext, Map<String,TldResourcePath> uriTldResourcePathMap, Map<TldResourcePath,TaglibXml> tldResourcePathTaglibXmlMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TldCache`
  `getInstance(ServletContext servletContext)`
  `TaglibXml`
  `getTaglibXml(TldResourcePath tldResourcePath)`
  `TldResourcePath`
  `getTldResourcePath(String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SERVLET_CONTEXT_ATTRIBUTE_NAME

    public static final String SERVLET_CONTEXT_ATTRIBUTE_NAME

- ## Constructor Details

  - ### TldCache

    public TldCache(ServletContext servletContext, Map<String,TldResourcePath> uriTldResourcePathMap, Map<TldResourcePath,TaglibXml> tldResourcePathTaglibXmlMap)

- ## Method Details

  - ### getInstance

    public static TldCache getInstance(ServletContext servletContext)

  - ### getTldResourcePath

    public TldResourcePath getTldResourcePath(String uri)

  - ### getTaglibXml

    public TaglibXml getTaglibXml(TldResourcePath tldResourcePath) throws JasperException
    Throws:
      `JasperException`